<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.steerinfo.meterwork.meterworkznlc.mapper.MeterWorkZnlcMapper">

    <select id="doQueryActualOld" parameterType="java.util.HashMap" resultType="HashMap">
        select fs_netpointId as DeviceNo,
        FS_carno as ConveyanceNo,
        FS_noticeid as WeightVoucherNo,
        FS_GROSSweight as GrossWeight,
        FS_TareWeight as TareWeight,
        FS_NetWeight as NetWeight,
        FS_NETWeighttime as MeteringTime,
        '系统' as MetringPerson
        from JGWEIGHT.view_car_net
        where fs_noticeid = #{predictionNo}
    </select>

    <select id="doQueryFirstOld" parameterType="java.util.HashMap" resultType="HashMap">
        select fs_pointId as DeviceNo,
                noticeId as WeightVoucherNo,
                carNo as ConveyanceNo,
                weight as GrossWeight,
                weightTime as MeteringTime
                from JGWEIGHT.view_car_first
        where noticeid = #{predictionNo}
    </select>

</mapper>